## Class Graphe

- java.lang.Object
- - Graphe

    public class Graphe
    extends java.lang.Object

Classe definissant des graphes au sens mathematiques

### Constructor Summary

Constructors
`Graphe​(int ord, boolean o)` Construit un graphe vide

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `ajoutArete​(int i, int j)` Ajoute une arete de i a j
`boolean` `equals​(Graphe g)`
`boolean` `getArete​(int i, int j)` Renvoit vrai s'il y a une arete de i a j
`int` `getOrdre()` Getter pour l'ordre
`int` `sommeVoisins()` Calcule la somme du nombre de voisins de tous les sommets
`java.lang.String` `toString()`
`void` `voisinage​(int i)` Affiche la liste des voisins de i

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Graphe

    public Graphe​(int ord,
                  boolean o)

Construit un graphe vide

Parameters:
  `ord` - indique l'ordre du graphe
  `o` - indique s'il est oriente

### Method Detail

#### getOrdre

    public int getOrdre()

Getter pour l'ordre

Returns:
  L'ordre du graphe

#### getArete

    public boolean getArete​(int i,
                            int j)

Renvoit vrai s'il y a une arete de i a j

Parameters:
  `i` - ,j Deux sommets du graphe
Returns:
  Vrai si le graphe possède une arete de i a j

#### ajoutArete

    public void ajoutArete​(int i,
                           int j)

Ajoute une arete de i a j

Parameters:
  `i` - ,j Deux sommets du graphe

#### voisinage

    public void voisinage​(int i)

Affiche la liste des voisins de i

Parameters:
  `i` - Un sommet du graphe

#### sommeVoisins

    public int sommeVoisins()

Calcule la somme du nombre de voisins de tous les sommets

Returns:
  Un entier representant la somme de tous les voisins.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals​(Graphe g)